Download it now!
Bug 92403 - Web Wizard - no visible Selections in step 3 and 4
Summary: Web Wizard - no visible Selections in step 3 and 4
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.0.0.1 rc
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: RenderContext
  Show dependency treegraph
 
Reported: 2015-06-28 12:29 UTC by Thomas Krumbein
Modified: 2017-02-17 09:22 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Web-wizzard without Layouts (20.29 KB, image/jpeg)
2015-06-28 12:29 UTC, Thomas Krumbein
Details
Step 4 without Layouts... (10.21 KB, image/jpeg)
2015-06-28 12:32 UTC, Thomas Krumbein
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Krumbein 2015-06-28 12:29:10 UTC
Created attachment 116893 [details]
Web-wizzard without Layouts

Using the Web-Wissard (file - wissards - Web) in step 3 and 4 the preview will not be rendered. 
You will get toop-tipp help on Mouseover (time delay) and when I gave focus to another Window (not Libo) the actual grafic will be rendered (mostly) - but getting back to wizzard-frame it disappears again.

See screen 1 - Step 3
Screen 2 - Step 4
Comment 1 Thomas Krumbein 2015-06-28 12:32:15 UTC
Created attachment 116894 [details]
Step 4 without Layouts...
Comment 2 Buovjaga 2015-07-02 13:49:42 UTC
Reproduced, but not in Linux.

attachment 116894 [details] is Step 5. - Choose icon set.

It's ok in 4.4.4.

Win 7 Pro 64-bit, Version: 4.4.4.3
Build ID: 2c39ebcf046445232b798108aa8a7e7d89552ea8
Locale: fi_FI

Version: 5.1.0.0.alpha1+ (x64)
Build ID: 3a6ec53eeeec71312f5ea890689f9c2ee79c2aac
TinderBox: Win-x86_64@62-TDF, Branch:MASTER, Time: 2015-07-01_02:24:40
Locale: fi-FI (fi_FI)

Ubuntu 15.04 64-bit 
Version: 5.1.0.0.alpha1+
Build ID: 3ecef8cedb215e49237a11607197edc91639bfcd
TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time: 2015-06-20_00:06:19
Locale: en-US (en_US.UTF-8)
Comment 3 László Németh 2015-07-02 14:33:56 UTC
I can reproduce it on Windows and (with SAL_USE_VCLPLUGIN=gen) on Linux, too.

bibisect: 

# bad: [991c3db554ae2f30bcc215ccbe090656d9970c02] 2015-05-26: source-hash-af75d7a4c99414fabbd31b9df590266d28574fb1
# good: [2b392af9c8f54629e3a3a98a8c92fa5af1c6722f] 2015-05-20: source-hash-90e2dabb8d0bb5382234be776c2ad0e2d5d9e224
git bisect start '991c3db554ae2f30bcc215ccbe090656d9970c02' '2b392af9c8f54629e3a3a98a8c92fa5af1c6722f'
# good: [6178f2a1052f501e7b34ad168708c6744a1838eb] 2015-05-23: source-hash-9db629b8a1fa9b63bc320f8d47594ec82511a9c5
git bisect good 6178f2a1052f501e7b34ad168708c6744a1838eb
# bad: [a63d7336fa8ea346b4deb2d4076cbe8a1cd75d65] 2015-05-25: source-hash-b9630867d17c01ec41f6461b1e96288f3932248c
git bisect bad a63d7336fa8ea346b4deb2d4076cbe8a1cd75d65
# bad: [f39c4096f247626f7447321154de73b0c0dbc6b7] 2015-05-24: source-hash-891304bb0ad3af9d8d73f947f25477abf57485a4
git bisect bad f39c4096f247626f7447321154de73b0c0dbc6b7
# first bad commit: [f39c4096f247626f7447321154de73b0c0dbc6b7] 2015-05-24: source-hash-891304bb0ad3af9d8d73f947f25477abf57485a4

related commits:

commit 891304bb0ad3af9d8d73f947f25477abf57485a4
Author: Jan Holesovsky <kendy@collabora.com>
Date:   Sun May 24 01:59:01 2015 +0200

    rendercontext: Improve comboboxes in the double-buffered toolbar.
    
    Change-Id: I91bfb4ea4672ff09482679f8fcf18a65e5a6ee3c

commit 70bdecd7f0b423734d1b9042141b58180032caf9
Author: Jan Holesovsky <kendy@collabora.com>
Date:   Sun May 24 01:04:07 2015 +0200

    rendercontext: Fix border window's painting to work well with rendercontext.
    
    This partially fixes rendering of comboboxes.
    
    Change-Id: I243f63a0cd83bb435876d3954a073df0acd54c58

commit 2d40468efc1a90969d4ed34f699a8f48277cb8b3
Author: Jan Holesovsky <kendy@collabora.com>
Date:   Sat May 23 21:37:25 2015 +0200

    rendercontext: Make the Gtk+ native widgets work with double-buffering.
...skipping...

commit 60ef5920d3ad89e0839f26488481ded8157ebbe9
Author: Tomaž Vajngerl <tomaz.vajngerl@collabora.co.uk>
Date:   Sat May 23 18:49:16 2015 +0900

    pass RenderContext into writer painting
    
    
    Change-Id: Ib2d986d05dc7db1b65ed29ea295807d6f20cea4a

commit 95ccc26ba71259be29fde8ba6b6f52ffbe5bd3c7
Author: Tomaž Vajngerl <tomaz.vajngerl@collabora.co.uk>
Date:   Fri May 22 18:07:45 2015 +0900

    call ApplySettings sooner when painting
    
    Change-Id: I2ddd6a6b4ccfccc55f394d8a6851843ef2479fe3

commit 4f5fe008a3d5f0b5ddfa656299306cff9d57d802
Author: Tomaž Vajngerl <tomaz.vajngerl@collabora.co.uk>
Date:   Fri May 22 17:51:44 2015 +0900

    use ApplySettings instead of ImplInitSettings is called
    
    Change-Id: I30cbfe1906d5d59db93a354ca1d1862c4b5e631a
Comment 4 Robinson Tryon (qubit) 2015-12-13 11:13:01 UTC Comment hidden (obsolete)
Comment 5 Julien Nabet 2017-02-17 09:22:05 UTC
Web wizard will be dropped (see tdf#99967), so let's put this one to WONTFIX